/* General */

body {
    background-color: #EEE8FF;
    color: #453C7A;
    font-family: Verdana;
}
a {
    color: #453C7A;
    text-decoration: none;
}
a:hover {
    color: #FF7AB3;
}
p, a, li {
    font-size: 14px;
}
body, a, a:hover, button:hover {
    cursor:url("https://64.media.tumblr.com/7a1161e3bd9109061b2e14c70fcebccf/0f705e1ca0c3d650-cc/s75x75_c1/71cc7961fd079c476ac959eb940250d1958c2b1e.gifv"), auto
}
h2, h3{
    font-family: 'Trebuchet MS';
    background-color: #EEE8FF;
}
mark{
    background-color: #EEE8FF;
}
li::marker {
    content:"♥  ";
    color:#FF7AB3;
}

/* Header */
header {
    display: grid;
    align-items: center;
    text-align: center;
    margin: 0 auto;
    margin-top: 3vh;
    min-height: 80px;
    max-width: 1350px;
}

/* Container */
.container {
    display: flex;
    margin: 0 auto;
    max-width: 1350px;
    flex-wrap: wrap;
    align-items: stretch;
    padding-bottom: 20px;
}

/* Sidebar */
#left-nav {
    width: 15%;
    margin: 0 auto;
    margin-top: 15px;
    min-width: 250px;
    background-color: white;
    border: 1px solid #CBB8FF;
    border-radius: 8px;
}
#left-nav ul{
    padding-left: 0;
    margin: 5%;
    margin-top: 15px;
}
#left-nav li{
    list-style-position: inside;
    margin: 0 auto;
    margin-bottom: 0.5rem;
    background-color: #ECE6FF;
    border-radius: 8px;
}

#left-nav li a:link, li a:visited {
    color: #453C7A;
    display: block;
    padding: 0.6rem;
}

#left-nav li a:hover, #left-nav li .active {
    color: white;
    background-color: #CBB8FF;
    border-radius: 8px;
}
#left-nav li::marker {
    content: none;
}
.home{
    display: flex;
    padding: 0.6rem;
    padding-left: 4.5rem;
    padding-right: 6rem;
    margin: 5%;
    margin-bottom: 15px;
    text-align: center;
    text-decoration: none;
    font-weight: bold;
    background-color: #FF7AB3;
    border-radius: 8px;
    color: white;
}
.home:hover{
    color: white;
    background-color: #FFB8D7;
}
.nav-img {
    width: 20px;
    margin-right: 10px;
}

aside {
    width: 15%;
    margin: 0 auto;
    margin-top: 15px;
    min-width: 250px;
    background-color: white;
    border: 1px solid #CBB8FF;
    border-radius: 8px;
}
aside h2, aside h3 {
    text-align: center;
}

fieldset {
    width: 80%;
    margin: 0 auto;
    margin-top: 15px;
    border: 1px solid #CBB8FF;
    border-radius: 8px;
}
fieldset p, fieldset a, fieldset li {
    margin-left: 5%;
    font-size: 12px;
}

.scroll {
    overflow: scroll;
    height: 160px;
    scrollbar-color: #FF7AB3 #FFF;
}
.scroll-date {
    font-weight: bold;
    color: #FF7AB3;
}

/* Main */
main {
    flex: 1;
    margin-top: 15px;
    margin-left: 15px;
    margin-right: 15px;
    padding: 2%;
    background-color: white;
    border: 1px solid #CBB8FF;
    border-radius: 8px;
}

section {
    display: block;
    max-width: 800px;
    padding: 5%;
    margin: 0 auto;
    margin-bottom: 2rem;
    border: 2px dashed #CBB8FF;
    border-radius: 8px;
}

.status {
    width: 80%;
    background-color: #ECE6FF;
    border-radius: 8px;
    margin: 0 auto;
    padding-bottom: 3px;
}

.status-title {
    border-bottom: 1px solid #CBB8FF;
    border-radius: 8px 8px 0 0;
    padding: 5px 0 2px 8px;
    font-weight: bold;
}
.status-date {
    font-size: 10px;
    padding-left: 8px;
}
.status-text {
    background-color: white;
    border-left: 1px solid #453C7A;
    margin: 0 8px 10px 8px;
    padding: 1px 1px 1px 5px;
}

#guestbook {
    width: 100%;
    height: 550px;
    border-style: none;
}
#counter {
    text-align: center;
}
.clique {
    text-align: center;
    margin: 5px;
}

/* About me */
.about-me li {
    margin-bottom: 1vh;
}
#rrss {
    text-align: center;
    margin-top: 5%;
    padding: 1rem;
    padding-bottom: 2rem;
    background-color: #EEE8FF;
    border-radius: 8px;;
}
#rrss a {
    margin: 2rem;
}
#rrss img, fieldset img {
    margin-right: 5px;
}
.double-col {
    display: flex;
    justify-content: center;
}
.col {
    width: 50%;
    padding:18px;
    margin: 5px;
    border: 1px solid #CBB8FF;
    border-radius: 8px;
}
.col h2 {
    text-align: center;
    background: #ECE6FF;
    border-radius: 8px;
    padding: 4px;
}
.col li {
    margin-bottom: 8px;
}
.like, .dislike {
    overflow: scroll;
    height: 210px;
    scrollbar-color: #FF7AB3 #FFF;
    
}
.dislike li::marker {
    content: "×  "
}

/* Otomes & Day6 */
#otome-list, #collection, #albums{
    text-align: left;
    padding: 5%;
}
.list li {
    list-style-position: inside;
    margin-bottom: 0.8rem;
}
.bar-img {
    margin: 0 auto;
    width: 190px;
}
.bar-img img {
    width: 100%;
    height: auto;
    margin: 8px 0 8px 0;
}
.collection {
    border: solid 1px;
    border-radius: 8px;
    border-color: #CBB8FF;
    padding: 0 16px 0 16px;
}
.gallery img {
    width: 250px;
    border-style: none;
    border-radius: 8px;
    margin: 4px;
}

/* Tabs */
.tab {
    overflow: hidden;
    border-bottom: 1px solid #CBB8FF;
}
.tab button {
    background-color: inherit;
    color: #453C7A;
    float: left;
    margin-right: 5px;
    border: 1px solid #CBB8FF;
    border-bottom: none;
    border-radius: 8px 8px 0 0;
    padding: 8px 16px;
    transition: 0.3s;
}
.tab button:hover, .tab button.active {
    background-color: #EEE8FF;
}
.tabcontent {
    display: none;
    text-align: center;
    padding: 10px 12px;
    border: 1px solid #CBB8FF;
    border-top: none;
    border-radius: 0 0 8px 8px;
}
.tabcontent > img {
    width: 100px;
    border-style: solid;
    border-color: #CBB8FF;
    border-radius: 8px;
    margin: 4px;
}
.tabcontent > img:hover {
    transform: scale(1.1);
}

/* Footer */
footer {
    font-family: 'Courier New';
    color: #453C7A;
    background-color: white;
    border-style: solid;
    border-width: 1px;
    border-color: #CBB8FF;
    border-radius: 8px;
    
}
.footer {
    margin: 0 auto;
    width: 210px;
}

/* Media queries */

/* Smartphone */
@media (max-width: 480px) {
    header {
        max-width: 459px;
    }
    header img {
        width: 90%;
    }
    .pfp {
        display: flex;
        width: 150px;
        margin: 0 auto;
    }
    #rrss a{
        display: block;
        margin: 0;
        margin-top: 20px;
    }
    .double-col {
        display: block;
    }
    .col {
        width: 80%;
        margin: 0 auto;
        margin-bottom: 10px;
    }
    .tab {
        overflow: hidden;
        border-bottom: 1px solid #CBB8FF;
    }
    .tab button {
        width: 100%;
        margin-right: 0;
        border-radius: 0;
        padding: 8px 16px;
        transition: 0.3s;
    }
    .container {
        flex-direction: column;
    }
    #left-nav, aside{
        width: 100%;
    }
    .home {
        display: block;
    }
}


/* Tablet */
@media (min-width: 481px) and (max-width: 1024px) {
    .container {
        display: grid;
        grid-template-columns: 280px 1fr;
        grid-template-rows: max-content 1fr;
    }
    header {
        max-width: 459px;
    }
    header img {
        width: 90%;
    }
    main {
        grid-column: 2;
        grid-row: 1 / 3;
        margin-left: 0;
    }
    nav {
        grid-column: 1;
        grid-row: 1;
    }
    aside {
        grid-column: 1;
        grid-row: 2;
    }
    .pfp {
        display: flex;
        width: 150px;
        margin: 0 auto;
    }
    #rrss a{
        display: block;
        margin: 0;
        margin-top: 20px;
    }
    .double-col {
        display: block;
    }
    .col {
        width: 80%;
        margin: 0 auto;
        margin-bottom: 10px;
    }
    .tab {
        overflow: hidden;
        border-bottom: 1px solid #CBB8FF;
    }
    .tab button {
        width: 100%;
        margin-right: 0;
        border-radius: 0;
        padding: 8px 16px;
        transition: 0.3s;
    }
}